std::hash< unique_ptr< _Tp, _Dp > > Struct Template Reference
Utilities » Memory » Pointer Abstractions

`#include <unique_ptr.h>`

Inherits std::__hash_base< _Result, _Arg >, and std::__poison_hash< _Tp, typename >.

## Public Types

typedef _Result result_type | _GLIBCXX17_DEPRECATED
typedef _Arg argument_type | _GLIBCXX17_DEPRECATED

## Public Member Functions

size_t | operator() (const unique_ptr< _Tp, _Dp > &__u) const noexcept

## Detailed Description

template<typename _Tp, typename _Dp>
struct std::hash< unique_ptr< _Tp, _Dp > >

std::hash specialization for unique_ptr.

Definition at line 825 of file unique_ptr.h.

## Member Typedef Documentation

## _GLIBCXX17_DEPRECATED [1/2]

template<typename _Result , typename _Arg >

typedef _Result result_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 52 of file functional_hash.h.

## _GLIBCXX17_DEPRECATED [2/2]

template<typename _Result , typename _Arg >

typedef _Arg argument_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

template<typename _Tp , typename _Dp >

size_t std::hash< unique_ptr< _Tp, _Dp > >::operator() | ( | const unique_ptr< _Tp, _Dp > & | __u | ) | const

inline noexcept

Definition at line 830 of file unique_ptr.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h